--- old/usr/src/head/locale.h	Mon Jun  2 23:06:27 2014
+++ new/usr/src/head/locale.h	Mon Jun  2 23:06:27 2014
@@ -85,19 +85,19 @@
 #endif
 
 #if	defined(__STDC__)
-locale_t	duplocale(locale_t);
-void		freelocale(locale_t);
-locale_t	newlocale(int, const char *, locale_t);
-locale_t	uselocale(locale_t);
+extern locale_t	duplocale(locale_t);
+extern void	freelocale(locale_t);
+extern locale_t	newlocale(int, const char *, locale_t);
+extern locale_t	uselocale(locale_t);
 #else	/* __STDC__ */
-locale_t	duplocale();
-void		freelocale();
-locale_t	newlocale();
-locale_t	uselocale();
+extern locale_t	duplocale();
+extern void	freelocale();
+extern locale_t	newlocale();
+extern locale_t	uselocale();
 #endif	/* __STDC__ */
 
-#define	LC_GLOBAL_LOCALE	__global_locale
-extern locale_t			__global_locale;
+#define	LC_GLOBAL_LOCALE	(__global_locale())
+extern locale_t			__global_locale(void);
 
 #endif	/* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
